package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMenuInfo;
import com.chaozhanggui.dao.system.entity.TbPlussMenuInfoWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussMenuInfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TbPlussMenuInfoWithBLOBs record);

    int insertSelective(TbPlussMenuInfoWithBLOBs record);

    TbPlussMenuInfoWithBLOBs selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TbPlussMenuInfoWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussMenuInfoWithBLOBs record);

    int updateByPrimaryKey(TbPlussMenuInfo record);
}